
From: Peter Chubb <peterc@gelato.unsw.edu.au>

On 64-bit architectures, ino_t is int, not long, so the attached patch
is needed to prevent a warning.



 fs/minix/bitmap.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/minix/bitmap.c~minixfs-warning-fix fs/minix/bitmap.c
--- 25/fs/minix/bitmap.c~minixfs-warning-fix	2003-08-10 19:32:15.000000000 -0700
+++ 25-akpm/fs/minix/bitmap.c	2003-08-10 19:32:15.000000000 -0700
@@ -116,7 +116,7 @@ minix_V1_raw_inode(struct super_block *s
 
 	if (!ino || ino > sbi->s_ninodes) {
 		printk("Bad inode number on dev %s: %ld is out of range\n",
-		       sb->s_id, ino);
+		       sb->s_id, (long)ino);
 		return NULL;
 	}
 	ino--;
@@ -141,7 +141,7 @@ minix_V2_raw_inode(struct super_block *s
 	*bh = NULL;
 	if (!ino || ino > sbi->s_ninodes) {
 		printk("Bad inode number on dev %s: %ld is out of range\n",
-		       sb->s_id, ino);
+		       sb->s_id, (long)ino);
 		return NULL;
 	}
 	ino--;

_
